True

TICK-001360 - passaggio in ordine di vendita Modifica Ticket

Assegnato a : SARA FARASO
Email : i.triantafillidis@henoto.com
Team di assistenza : Assistenza Odoo II Livello
Data Creazione : 01/10/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, IOSIFINA TRIANTAFILLIDIS
Telefono : 0495801282
Priorità : Normale
Data Chiusura : 18/10/2022
Categoria : Anomalia

Buongiorno,

quando vado a passare l'ordine in stato Ordine di Vendita del preventivo SO022348/2022 compare il seguente errore :

Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1400, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1388, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/addons/base/gi_practor_integration/models/sale_order.py", line 132, in action_confirm
return super(SaleOrder, self).action_confirm()
File "/addons/custom/ie_sale_order/models/sale_order.py", line 158, in action_confirm
res = super(Sale_Order, self).action_confirm()
File "/addons/base/gi_check_confirm_sale/models/sale_order.py", line 183, in action_confirm
self.catalogue_qty_write_by_order()
File "/addons/base/gi_catalogue/models/sale_order.py", line 401, in catalogue_qty_write_by_order
child_tmp = reservations_dict[child.id]['qty_opzioned'] + reservations_dict[child.id][
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
KeyError: 356861

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.